"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkUint8ArrayDeeplyEqual = exports.checkUintEquals = exports.checkUint8ArraySize = void 0;
const checkUint8ArraySize = (custom, size) => {
    if (custom.length !== size)
        throw new Error(`binary size mismatch: layout size: ${custom.length}, data size: ${size}`);
};
exports.checkUint8ArraySize = checkUint8ArraySize;
const checkUintEquals = (custom, data) => {
    if (custom != data)
        throw new Error(`value mismatch: (constant) layout value: ${custom}, data value: ${data}`);
};
exports.checkUintEquals = checkUintEquals;
const checkUint8ArrayDeeplyEqual = (custom, data) => {
    (0, exports.checkUint8ArraySize)(custom, data.length);
    for (let i = 0; i < custom.length; ++i)
        if (custom[i] !== data[i])
            throw new Error(`binary data mismatch: layout value: ${custom}, data value: ${data}`);
};
exports.checkUint8ArrayDeeplyEqual = checkUint8ArrayDeeplyEqual;
//# sourceMappingURL=utils.js.map