import { column, constMap } from "../utils";
const platformAndChainsEntries = [
    [
        "Evm",
        [
            "Ethereum",
            "Bsc",
            "Polygon",
            "Avalanche",
            "Oasis",
            "Aurora",
            "Fantom",
            "Karura",
            "Acala",
            "Klaytn",
            "Celo",
            "Moonbeam",
            "Neon",
            "Arbitrum",
            "Optimism",
            "Gnosis",
            "Base",
            "Sepolia",
            "Rootstock",
        ],
    ],
    ["Solana", ["Solana", "Pythnet"]],
    [
        "Cosmwasm",
        [
            "Terra",
            "Terra2",
            "Injective",
            "Xpla",
            "Sei",
            "Osmosis",
            "Wormchain",
            "Cosmoshub",
            "Evmos",
            "Kujira",
        ],
    ],
    ["Btc", ["Btc"]],
    ["Algorand", ["Algorand"]],
    ["Sui", ["Sui"]],
    ["Aptos", ["Aptos"]],
    ["Near", ["Near"]],
];
export const platforms = column(platformAndChainsEntries, 0);
export const platformToChains = constMap(platformAndChainsEntries);
export const chainToPlatform = constMap(platformAndChainsEntries, [1, 0]);
export const isPlatform = (platform) => platformToChains.has(platform);
//# sourceMappingURL=platforms.js.map