import { Network } from "./networks";
import { Chain, ChainName } from "./chains";
export declare const circleChains: readonly ["Ethereum", "Avalanche", "Optimism", "Arbitrum"], circleChainIds: readonly [0, 1, 2, 3];
export type CircleChainName = (typeof circleChains)[number];
export type CircleChainId = (typeof circleChainIds)[number];
export declare const circleNetworks: readonly ["Mainnet", "Testnet"], _: readonly [readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]], readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]];
export type CircleNetwork = (typeof circleNetworks)[number];
export declare const circleChainId: (<K1 extends "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3]]>[("Ethereum" | "Avalanche" | "Arbitrum" | "Optimism") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3]]>[("Ethereum" | "Avalanche" | "Arbitrum" | "Optimism") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Ethereum", 0], readonly ["Avalanche", 1], readonly ["Optimism", 2], readonly ["Arbitrum", 3]]>[("Ethereum" | "Avalanche" | "Arbitrum" | "Optimism") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => 0 | 3 | 1 | 2 | undefined;
    has: (args_0: string) => boolean;
};
export declare const circleChainIdToChainName: (<K1 extends 0 | 3 | 1 | 2>(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends 0 | 3 | 1 | 2 ? import("../utils").ObjectFromMappingEntries<[readonly [0, readonly [readonly ["Ethereum"]]], readonly [1, readonly [readonly ["Avalanche"]]], readonly [2, readonly [readonly ["Optimism"]]], readonly [3, readonly [readonly ["Arbitrum"]]]]>[(0 | 3 | 1 | 2) & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly [0, readonly [readonly ["Ethereum"]]], readonly [1, readonly [readonly ["Avalanche"]]], readonly [2, readonly [readonly ["Optimism"]]], readonly [3, readonly [readonly ["Arbitrum"]]]]>[(0 | 3 | 1 | 2) & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly [0, readonly [readonly ["Ethereum"]]], readonly [1, readonly [readonly ["Avalanche"]]], readonly [2, readonly [readonly ["Optimism"]]], readonly [3, readonly [readonly ["Arbitrum"]]]]>[(0 | 3 | 1 | 2) & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: number) => "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism" | undefined;
    has: (args_0: number) => boolean;
};
export declare const circleAPI: (<K1 extends "Mainnet" | "Testnet">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", "https://iris-api.circle.com/v1/attestations"], readonly ["Testnet", "https://iris-api-sandbox.circle.com/v1/attestations"]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "https://iris-api.circle.com/v1/attestations" | "https://iris-api-sandbox.circle.com/v1/attestations" | undefined;
    has: (args_0: string) => boolean;
};
export declare const usdcContract: (<K1 extends "Mainnet" | "Testnet", K2 extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) extends infer T ? T extends keyof ((K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) ? T extends `bigint(${infer V extends bigint})` ? V : T extends `boolean(${infer V_1 extends boolean})` ? V_1 : T : never : never>(args_0: K1, args_1: K2) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Mainnet" | "Testnet" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never) extends keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)][keyof import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] & (K2 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K2 extends bigint ? `bigint(${K2})` : K2 extends boolean ? `boolean(${K2})` : K2, PropertyKey> : never)] : never : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Mainnet", readonly [readonly ["Ethereum", "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"], readonly ["Avalanche", "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e"], readonly ["Arbitrum", "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"], readonly ["Optimism", "0x179522635726710dd7d2035a81d856de4aa7836c"]]], readonly ["Testnet", readonly [readonly ["Avalanche", "0x5425890298aed601595a70AB815c96711a31Bc65"], readonly ["Arbitrum", "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63"], readonly ["Ethereum", "0x07865c6e87b9f70255377e024ace6630c1eaa37f"], readonly ["Optimism", "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6"]]]]>[("Mainnet" | "Testnet") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string, args_1: string) => "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48" | "0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e" | "0xaf88d065e77c8cC2239327C5EDb3A432268e5831" | "0x179522635726710dd7d2035a81d856de4aa7836c" | "0x5425890298aed601595a70AB815c96711a31Bc65" | "0xfd064A18f3BF249cf1f87FC203E90D8f650f2d63" | "0x07865c6e87b9f70255377e024ace6630c1eaa37f" | "0xe05606174bac4A6364B31bd0eCA4bf4dD368f8C6" | undefined;
    has: (args_0: string, args_1: string) => boolean;
};
export declare const isCircleChain: (chain: string | ChainName | CircleChainName) => chain is "Ethereum" | "Avalanche" | "Arbitrum" | "Optimism";
export declare const isCircleChainId: (chainId: number) => chainId is 0 | 3 | 1 | 2;
export declare const isCircleSupported: (network: Network, chain: string | ChainName | CircleChainName) => network is "Mainnet" | "Testnet";
export declare function assertCircleChainId(chainId: number): asserts chainId is CircleChainId;
export declare function assertCircleChain(chain: string): asserts chain is CircleChainName;
export declare const asCircleChainId: (chainId: number) => CircleChainId;
export declare const toCircleChainId: (chain: number | bigint | string | Chain) => CircleChainId;
export declare const toCircleChainName: (chain: number | string | Chain | bigint) => ChainName;
//# sourceMappingURL=circle.d.ts.map