import { ChainName } from "./chains";
export declare const platforms: ["Evm", "Solana", "Cosmwasm", "Btc", "Algorand", "Sui", "Aptos", "Near"];
export type PlatformName = (typeof platforms)[number];
export declare const platformToChains: (<K1 extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm" ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia", "Rootstock"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei", "Osmosis", "Wormchain", "Cosmoshub", "Evmos", "Kujira"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia", "Rootstock"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei", "Osmosis", "Wormchain", "Cosmoshub", "Evmos", "Kujira"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<readonly [readonly ["Evm", readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia", "Rootstock"]], readonly ["Solana", readonly ["Solana", "Pythnet"]], readonly ["Cosmwasm", readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei", "Osmosis", "Wormchain", "Cosmoshub", "Evmos", "Kujira"]], readonly ["Btc", readonly ["Btc"]], readonly ["Algorand", readonly ["Algorand"]], readonly ["Sui", readonly ["Sui"]], readonly ["Aptos", readonly ["Aptos"]], readonly ["Near", readonly ["Near"]]]>[("Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => readonly ["Algorand"] | readonly ["Near"] | readonly ["Sui"] | readonly ["Aptos"] | readonly ["Btc"] | readonly ["Ethereum", "Bsc", "Polygon", "Avalanche", "Oasis", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Moonbeam", "Neon", "Arbitrum", "Optimism", "Gnosis", "Base", "Sepolia", "Rootstock"] | readonly ["Solana", "Pythnet"] | readonly ["Terra", "Terra2", "Injective", "Xpla", "Sei", "Osmosis", "Wormchain", "Cosmoshub", "Evmos", "Kujira"] | undefined;
    has: (args_0: string) => boolean;
};
export declare const chainToPlatform: (<K1 extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia">(args_0: K1) => (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never) extends "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" ? import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Rootstock", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Osmosis", readonly [readonly ["Cosmwasm"]]], readonly ["Wormchain", readonly [readonly ["Cosmwasm"]]], readonly ["Cosmoshub", readonly [readonly ["Cosmwasm"]]], readonly ["Evmos", readonly [readonly ["Cosmwasm"]]], readonly ["Kujira", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] extends {
    [key: string]: unknown;
    [key: number]: unknown;
    [key: symbol]: unknown;
} ? import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Rootstock", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Osmosis", readonly [readonly ["Cosmwasm"]]], readonly ["Wormchain", readonly [readonly ["Cosmwasm"]]], readonly ["Cosmoshub", readonly [readonly ["Cosmwasm"]]], readonly ["Evmos", readonly [readonly ["Cosmwasm"]]], readonly ["Kujira", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : import("../utils").ObjectFromMappingEntries<[readonly ["Ethereum", readonly [readonly ["Evm"]]], readonly ["Bsc", readonly [readonly ["Evm"]]], readonly ["Polygon", readonly [readonly ["Evm"]]], readonly ["Avalanche", readonly [readonly ["Evm"]]], readonly ["Oasis", readonly [readonly ["Evm"]]], readonly ["Aurora", readonly [readonly ["Evm"]]], readonly ["Fantom", readonly [readonly ["Evm"]]], readonly ["Karura", readonly [readonly ["Evm"]]], readonly ["Acala", readonly [readonly ["Evm"]]], readonly ["Klaytn", readonly [readonly ["Evm"]]], readonly ["Celo", readonly [readonly ["Evm"]]], readonly ["Moonbeam", readonly [readonly ["Evm"]]], readonly ["Neon", readonly [readonly ["Evm"]]], readonly ["Arbitrum", readonly [readonly ["Evm"]]], readonly ["Optimism", readonly [readonly ["Evm"]]], readonly ["Gnosis", readonly [readonly ["Evm"]]], readonly ["Base", readonly [readonly ["Evm"]]], readonly ["Sepolia", readonly [readonly ["Evm"]]], readonly ["Rootstock", readonly [readonly ["Evm"]]], readonly ["Solana", readonly [readonly ["Solana"]]], readonly ["Pythnet", readonly [readonly ["Solana"]]], readonly ["Terra", readonly [readonly ["Cosmwasm"]]], readonly ["Terra2", readonly [readonly ["Cosmwasm"]]], readonly ["Injective", readonly [readonly ["Cosmwasm"]]], readonly ["Xpla", readonly [readonly ["Cosmwasm"]]], readonly ["Sei", readonly [readonly ["Cosmwasm"]]], readonly ["Osmosis", readonly [readonly ["Cosmwasm"]]], readonly ["Wormchain", readonly [readonly ["Cosmwasm"]]], readonly ["Cosmoshub", readonly [readonly ["Cosmwasm"]]], readonly ["Evmos", readonly [readonly ["Cosmwasm"]]], readonly ["Kujira", readonly [readonly ["Cosmwasm"]]], readonly ["Btc", readonly [readonly ["Btc"]]], readonly ["Algorand", readonly [readonly ["Algorand"]]], readonly ["Sui", readonly [readonly ["Sui"]]], readonly ["Aptos", readonly [readonly ["Aptos"]]], readonly ["Near", readonly [readonly ["Near"]]]]>[("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia") & (K1 extends bigint | boolean | PropertyKey ? import("../utils").AssertType<K1 extends bigint ? `bigint(${K1})` : K1 extends boolean ? `boolean(${K1})` : K1, PropertyKey> : never)] : never) & {
    get: (args_0: string) => "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm" | undefined;
    has: (args_0: string) => boolean;
};
export declare const isPlatform: (platform: string) => platform is "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm";
export type PlatformToChains<P extends PlatformName> = ReturnType<typeof platformToChains<P>>[number];
export type ChainToPlatform<C extends ChainName> = ReturnType<typeof chainToPlatform<C>>;
//# sourceMappingURL=platforms.d.ts.map